Activity log for bug #557443

Date Who What changed Old value New value Message
2010-04-07 17:17:34 Marc Tardif bug added bug
2010-04-07 17:17:57 Marc Tardif checkbox: assignee Marc Tardif (cr3)
2010-04-07 17:18:05 Marc Tardif checkbox: status New Confirmed
2010-04-12 20:25:02 Marc Tardif checkbox: status Confirmed Fix Committed
2010-06-08 19:23:14 Launchpad Janitor branch linked lp:ubuntu/checkbox
2010-06-10 16:27:24 Marc Tardif bug task added checkbox (Ubuntu)
2010-06-10 16:28:45 Marc Tardif checkbox: status Fix Committed Fix Released
2010-06-10 16:38:01 Marc Tardif nominated for series Ubuntu Lucid
2010-06-10 16:38:01 Marc Tardif bug task added checkbox (Ubuntu Lucid)
2010-06-10 16:40:20 Marc Tardif checkbox (Ubuntu Lucid): milestone lucid-updates
2010-06-10 16:40:24 Marc Tardif checkbox (Ubuntu): status New Fix Released
2010-06-10 16:40:30 Marc Tardif checkbox (Ubuntu): assignee Marc Tardif (cr3)
2010-06-10 16:40:34 Marc Tardif checkbox (Ubuntu Lucid): status New In Progress
2010-06-10 16:42:44 Marc Tardif branch linked lp:~cr3/ubuntu/lucid/checkbox/0.9.2
2010-06-10 17:03:00 Marc Tardif description When running Checkbox on Kubuntu, the application seems to stall forever when attempting to gather information from the system. The reason is that the backend is started during this process which calls upon kdesudo. The backend_info plugin assumes that kdesudo can take environment variables as part of the option: kdesudo -- PATH=/foo command However, it seems that kdesudo calls the argument with execv instead of the shell, so environment variables cannot be given this way. The impact of this bug is that checkbox stalls forever when attempting to gather system information on Kubuntu. This fix changes the way that kdesudo is called in order to successfully pass the PATH information in the environment. When running Checkbox on Kubuntu, the application seems to stall forever when attempting to gather information from the system. The reason is that the backend is started during this process which calls upon kdesudo. The backend_info plugin assumes that kdesudo can take environment variables as part of the option:   kdesudo -- PATH=/foo command However, it seems that kdesudo calls the argument with execv instead of the shell, so environment variables cannot be given this way.
2011-06-22 19:13:54 Daniel Manrique bug added subscriber Daniel Manrique
2011-06-22 19:44:54 Daniel Manrique branch linked lp:~roadmr/ubuntu/lucid/checkbox/0.9.2
2011-06-23 07:08:12 Ara Pulido tags verification-needed
2011-07-01 13:02:43 Martin Pitt checkbox (Ubuntu Lucid): status In Progress Fix Committed
2011-07-01 13:02:46 Martin Pitt bug added subscriber SRU Verification
2011-07-01 13:13:26 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/checkbox
2011-07-20 17:45:58 Chad A. Davis tags verification-needed verification-done
2011-08-08 21:28:08 Launchpad Janitor checkbox (Ubuntu Lucid): status Fix Committed Fix Released